package com.union.ai.api.dto;

import lombok.Data;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Created by IntelliJ IDEA.
 * Author: xingxin.jing
 * Date: 2019/3/24
 * Time: 下午5:48
 */
@Data
public class AuthParamDto implements Serializable {

    private static final long serialVersionUID = -2812725718336183053L;

    @NotBlank(message = "grant_type为空!")
    private String grant_type;

    @NotBlank(message = "client_id为空!")
    private String client_id;

    @NotBlank(message = "client_secret为空!")
    private String client_secret;
}
