package com.union.ai.api.dto;

import lombok.Data;
import org.hibernate.validator.constraints.NotBlank;

import java.io.Serializable;

/**
 * Created by IntelliJ IDEA.
 * Author: xingxin.jing
 * Date: 2019/3/30
 * Time: 下午5:19
 */
@Data
public class CopyParamDto extends BaseParamDto implements Serializable {
    private static final long serialVersionUID = -6609213699403578355L;

    /**
     * 用户id（由数字、字母、下划线组成），长度限制128B
     */
//    @NotBlank(message = "user_id为空！")
    private String user_id;

    /**
     * 从指定group里复制 长度限制48B
     */
//    @NotBlank(message = "src_group_id为空！")
    private String src_group_id;

    /**
     * 需要添加用户的组id 长度限制48B
     */
//    @NotBlank(message = "dst_group_id为空！")
    private String dst_group_id;
}
