package com.union.ai.api.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * Created by IntelliJ IDEA.
 * Author: xingxin.jing
 * Date: 2019/3/30
 * Time: 下午1:59
 */
@Data
public class DetectParamDto extends AiBaseParamDto implements Serializable {

    private static final long serialVersionUID = 625643923874037521L;

    /**
     * 最多处理人脸的数目. 默认值为1，仅检测图片中面积最大的那个人脸 最大值10
     */
    private Integer max_face_num;

    /**
     * 人脸的类型
     * LIVE表示生活照
     */
    private String face_type;

    private String face_field;

    private String liveness_control;
}
