package com.union.ai.api.dto;

import lombok.Data;
import org.hibernate.validator.constraints.NotBlank;

import java.io.Serializable;

/**
 * Created by IntelliJ IDEA.
 * Author: xingxin.jing
 * Date: 2019/3/30
 * Time: 下午5:26
 */
@Data
public class UserListParamDto extends BaseParamDto implements Serializable {
    private static final long serialVersionUID = -1773155922806612875L;

    /**
     * 用户组id（由数字、字母、下划线组成） 长度限制48B
     */
//    @NotBlank(message = "group_id为空！")
    private String group_id;

    /**
     * 默认值0，起始序号
     */
    private Integer start;

    /**
     * 返回数量，默认值100，最大值1000
     */
    private Integer length;
}
