package com.union.ai.api.dto;

import lombok.Data;
import org.hibernate.validator.constraints.NotBlank;

import java.io.Serializable;

/**
 * Created by IntelliJ IDEA.
 * Author: xingxin.jing
 * Date: 2019/3/30
 * Time: 下午5:11
 */
@Data
public class DeleteParamDto extends BaseParamDto implements Serializable {
    private static final long serialVersionUID = 3447822693055123135L;

    /**
     * 用户id（由数字、字母、下划线组成），长度限制128B
     */
//    @NotBlank(message = "user_id为空！")
    private String user_id;
    /**
     * 用户组id（由数字、字母、下划线组成） 长度限制48B
     */
//    @NotBlank(message = "group_id为空！")
    private String group_id;

    /**
     * 人脸id（由数字、字母、下划线组成）长度限制64B
     */
//    @NotBlank(message = "face_token为空！")
    private String face_token;
}
