package com.union.ai.api.dto;

import lombok.Data;
import org.hibernate.validator.constraints.NotBlank;

import java.io.Serializable;

/**
 * Created by IntelliJ IDEA.
 * Author: xingxin.jing
 * Date: 2019/3/30
 * Time: 下午5:30
 */
@Data
public class UserDeleteDto extends BaseParamDto implements Serializable {
    private static final long serialVersionUID = -7935614030109842189L;

    /**
     * 用户id（由数字、字母、下划线组成），长度限制128B
     */
//    @NotBlank(message = "user_id为空！")
    private String user_id;
    /**
     * 用户组id(由数字、字母、下划线组成，长度限制48B) 如传入**@ALL**则从所有组中删除用户
     */
//    @NotBlank(message = "group_id为空！")
    private String group_id;
}
